Support » Fixing WordPress » Fixing fatal error after 5.30 update

  • I have updated the version of wordpress, and my webpage has not been working all of a sudden. I have debugged to see what the problem is, and I could not understand any of the explanation that is written. I have spent hours trying figure out what it meant, and still could not grasp what I have to change and add. Could someone please explain what it means, and what I must do in order to fix this? Is there an instruction written in the notice & error? I am sorry if I did not provide enough information, I am very new to coding and web page making 🙁

    Notice: date.php is deprecated since version 5.3.0! Use wp-includes/class-wp-date-query.php instead. in /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/functions.php on line 4719
    
    Notice: class-oembed.php is deprecated since version 5.3.0! Use wp-includes/class-wp-oembed.php instead. in /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/functions.php on line 4719
    
    Notice: Undefined property: wpdb::$blog_versions in /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/wp-db.php on line 659
    
    Warning: call_user_func_array() expects parameter 1 to be a valid callback, function '_wp_add_additional_image_sizes' not found or invalid function name in /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/class-wp-hook.php on line 288
    
    Fatal error: Uncaught Error: Class 'WP_Block_Styles_Registry' not found in /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/script-loader.php:2899 Stack trace: #0 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/class-wp-hook.php(288): enqueue_block_styles_assets('') #1 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/class-wp-hook.php(312): WP_Hook->apply_filters(NULL, Array) #2 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #3 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/script-loader.php(2853): do_action('enqueue_block_a...') #4 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/class-wp-hook.php(288): wp_common_block_scripts_and_styles('') #5 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/class-wp-hook.php(312): WP_Hook->apply_filters(NULL, Array) #6 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #7 /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/script- in /home/vol10_1/epizy.com/epiz_24728949/htdocs/wp-includes/script-loader.php on line 2899
    
    There has been a critical error on your website.
    • This topic was modified 8 months, 4 weeks ago by Jan Dembowski. Reason: Moved to Fixing WordPress, this is not a Developing with WordPress topic

    The page I need help with: [log in to see the link]

Viewing 2 replies - 1 through 2 (of 2 total)
  • It looks like the update was incomplete, so there are things missing.
    If you can get into the admin, go to the Updates page and click on Reinstall.
    If you can’t get into the admin, you need to fix it manually by using your host control manager File Manager to
    – upload the WordPress zip file
    – extract it on the server
    – delete the non-working wp-admin and wp-includes folders
    – move the new unzipped wp-admin and wp-includes folders to where the deleted ones were
    – don’t touch the wp-content folder or you will lose your images, plugins, themes

    How to install WordPress

    For me, this was not due to incomplete update. The problem came from having the Gutenberg plugin installed.

    Plugin “Gutenberg” version 6.3.0
    WP version 5.3

    Raised this fatal error:

    [02-Dec-2019 10:19:24 UTC] PHP Fatal error: Cannot declare class WP_Block_Styles_Registry, because the name is already in use in /var/www/html/wp-content/plugins/gutenberg/lib/class-wp-block-styles-registry.php on line 14

    Solution:

    1. Log into WP in recovery mode (you should have gotten a mail when the fatal error was experienced with a link to recovery mode), deactivate the “Gutenberg” plugin.
    2. Leave recovery mode
    3. Update the “Gutenberg” plugin (currently version 7.0.0)
    4. Activate the “Gutenberg” plugin again
    • This reply was modified 8 months, 1 week ago by kero. Reason: add error log
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Fixing fatal error after 5.30 update’ is closed to new replies.